Subject: Re: libm.a linking errork
From: Bob McGowan <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 21 Sep 2000 16:59:34 -0700

Thanks, Earnie.  It's been too long since I've done this, and had
forgotten the position dependancy (even tho' I remember seeing it done
correctly recently ;-(

Earnie Boyd wrote:
> 
> In this case, your use of -lm is in the wrong location on the line.  Your
> example builds without complaint when you:
>   gcc -o pgm pgm.c -lm
> Yes, location of the library switches make a difference.
> 
> --- Bob McGowan <[email-masked]> wrote:
> > I remember seeing some posts regarding libm, libc and libcygwin over the
> > last few months, but I can't find anything in the archives that refers
> > to the error message I'm seeing.  But I did find some questions asked
> > about why changing the current handling of the library names should
> > change.  Either this is a reason or I have somehow misconfigured things,
> > though I can't see where.  So I'm also attaching the output of cygcheck
> > -v -r -s below, just in case;)
> >
> 
> Cheers,
> 
> =====
> --- <http://earniesystems.safeshopper.com> ---
>    Earnie Boyd: <mailto:[email-masked]>
>             __Cygwin: POSIX on Windows__
> Cygwin Newbies: <http://gw32.freeyellow.com/>
>            __Minimalist GNU for Windows__
>     Mingw Home: <http://www.mingw.org/>
> 
> __________________________________________________
> Do You Yahoo!?
> Send instant messages & get email alerts with Yahoo! Messenger.
> http://im.yahoo.com/
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]